---
title: "Historical contract: Find Business Type"
description: "Historical Ordering.co API contract for GET /business_types/{business_type_id}, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/get-business-type/
---

# Historical contract: Find Business Type

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Find Business Type

This API endpoint is used to obtain a single business by id or slug.

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/business_types/GET/business_types/%7Bbusiness_type_id%7D)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "business_type_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 1,\n    \"name\": \"<redacted-personal>\",\n    \"image\": null,\n    \"description\": null,\n    \"enabled\": true,\n    \"created_at\": \"2021-04-08 14:07:24\",\n    \"updated_at\": \"2021-04-08 14:07:24\"\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "image": {},
                "description": {},
                "enabled": {
                  "type": "boolean",
                  "example": true,
                  "default": true
                },
                "created_at": {
                  "type": "string",
                  "example": "2021-04-08 14:07:24"
                },
                "updated_at": {
                  "type": "string",
                  "example": "2021-04-08 14:07:24"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": \"This product has expired or does not exist.\"\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "string",
              "example": "This product has expired or does not exist."
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": ""
          }
        }
      }
    }
  }
}
```
